const getStorage = (key) => {
	 return new Promise((resolve, reject) => {
		 uni.getStorage({
		 	key: key,
			success: (res) => {
				resolve(res.data)
			},
			fail: () => {
				reject()
			},
			complete: () => {
				resolve('')
			}
		 })
	 })
 }
 
 export const getToken = () => {
	 let token = ''
	 // #ifdef APP-PLUS
	 token = plus.storage.getItem('token') || ''
	 // #endif
	 
	 // #ifndef APP-PLUS
	 token = uni.getStorageSync('token') || ''
	 // #endif
	 return token
 }
 
 export const setToken = (token) => {
	 try {
		 // #ifdef APP-PLUS
		 plus.storage.setItem('token', token)
		 // #endif
		 
		 // #ifndef APP-PLUS
		 uni.setStorageSync('token', token)
		 // #endif
	 } catch(e) {
		 console.log(e)
	 }
 }
 
 export const getLoginStatus = () => {
	 let isLogin = false
	 // #ifdef APP-PLUS
	 isLogin = plus.storage.getItem('isLogin') == 'true'
	 // #endif
	 
	 // #ifndef APP-PLUS
	 isLogin = uni.getStorageSync('isLogin') == 'true'
	 // #endif
	 return isLogin
 }
 
 export const setLoginStatus = (isLogin) => {
	 try {
		 // #ifdef APP-PLUS
		 plus.storage.setItem('isLogin', isLogin)
		 // #endif
		 
		 // #ifndef APP-PLUS
		 uni.setStorageSync('isLogin', isLogin)
		 // #endif
	 } catch(e) {
		 console.log(e)
	 }
 }
 
 export const setStatus = status => {
	 try {
		 // #ifdef APP-PLUS
		 plus.storage.setItem('current_state', '' + status)
		 console.log(plus.storage.getItem('current_state'))
		 console.log('---APP-PLUS---' + status)
		 // #endif
		 
		 // #ifndef APP-PLUS
		 uni.setStorageSync('current_state', status)
		 // #endif
	 } catch(e) {
		 return
	 }
 }
 
 export const getStatus = () => {
	 let status = ''
	 // #ifdef APP-PLUS
	 status = plus.storage.getItem('current_state') || '-1'
	 // #endif
	 
	 // #ifndef APP-PLUS
	 status = uni.getStorageSync('current_state') || '-1'
	 // #endif
	 return status
 }

export const checkState = status => {
	let resObj = {}
	switch(status) {
		case -1:
			resObj.msg = '请先登录'
			resObj.url = '/pages/login/login'
			resObj.tips = '去登录'
			break;
		case 1:
			resObj.msg = '您还未进行实名认证'
			resObj.url = '/pages/camera/certification'
			resObj.tips = '去实名'
			break;
		case 2:
			resObj.msg = '您还未选择执证类型'
			resObj.url = '/pages/manage/licenseCert'
			resObj.tips = '去选择'
			break;
		case 3:
			resObj.msg = '您还未购课'
			resObj.url = '/pages/education/buyCourse'
			resObj.tips = '去购课'
			break;
		case 4:
			resObj.msg = '请先上传头像'
			resObj.url = '/pages/manage/uploadHeadImg'
			resObj.tips = '去上传'
			break;
		case 5:
			resObj.msg = '您还有课程未学完'
			resObj.url = '/pages/education/education'
			resObj.tips = '去学习'
			break;
		default: 
			break;
	}
	return resObj
}